## nvidia-graphics-drivers-418 418.56

=== debian/changelog ===
nvidia-graphics-drivers-418 (418.56-0ubuntu1) disco; urgency=medium

    * New upstream release:
      - Added support for the following GPU:
          GeForce MX230
          GeForce MX250
      - Fixed a bug which could sometimes cause Vulkan applications
        to lock up the     GPU when freeing large chunks of memory on
        systems with PRIME enabled.
      - Updated the driver to restrict use of the GPU performance
        counters to system administrators by default. The previous
        more permissive behavior can be restored by setting
        NVreg_RestrictProfilingToAdminUsers=0 when loading nvidia.ko.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 25 Mar 2019 17:01:55 +0100

nvidia-graphics-drivers-418 (418.43-0ubuntu2) disco; urgency=medium

  * debian/templates/control.in:
    - Make transitional packages available on i386 too.
    - Make libnvidia-common-410 arch "all".

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 19 Mar 2019 15:18:04 +0100

nvidia-graphics-drivers-418 (418.43-0ubuntu1) disco; urgency=medium

  * Initial release (replaces the 410 series).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 13 Mar 2019 12:19:04 +0100
