=== debian/control ===
Source: nvidia-graphics-drivers-418
Section: non-free/libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Alberto Milone <alberto.milone@canonical.com>,
Vcs-Git: git://github.com/tseliot/nvidia-graphics-drivers.git
Vcs-Browser: https://github.com/tseliot/nvidia-graphics-drivers/tree/418
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.17.11~),
 xz-utils,
 dkms,
 libxext6 [!ppc64el],
 quilt,
 po-debconf,
 execstack,
 dh-modaliases,
 xserver-xorg-dev (>= 2:1.4),
 libglvnd-dev,
Standards-Version: 4.1.1
Homepage: http://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-driver-418
Architecture: amd64
Depends:
 libnvidia-gl-418 (= ${binary:Version}),
 nvidia-dkms-418 (= ${binary:Version}) [amd64],
 nvidia-kernel-source-418 (= ${binary:Version}) [amd64],
 libnvidia-compute-418 (= ${binary:Version}),
 nvidia-compute-utils-418 (= ${binary:Version}) [amd64],
 libnvidia-decode-418 (= ${binary:Version}) [i386 amd64],
 libnvidia-encode-418 (= ${binary:Version}) [i386 amd64],
 nvidia-utils-418 (= ${binary:Version}) [amd64],
 xserver-xorg-video-nvidia-418 (= ${binary:Version}) [amd64],
 libnvidia-cfg1-418 (= ${binary:Version}) [amd64],
 libnvidia-ifr1-418 (= ${binary:Version}),
 libnvidia-fbc1-418 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 nvidia-settings, nvidia-prime (>= 0.8),
 libnvidia-compute-418:i386 (= ${binary:Version}) [amd64],
 libnvidia-decode-418:i386 (= ${binary:Version}) [amd64],
 libnvidia-encode-418:i386 (= ${binary:Version}) [amd64],
 libnvidia-ifr1-418:i386 (= ${binary:Version}) [amd64],
 libnvidia-fbc1-418:i386 (= ${binary:Version}) [amd64],
 libnvidia-gl-418:i386 (= ${binary:Version}) [amd64]
XB-Modaliases: ${modaliases}
Description: NVIDIA driver metapackage
 This metapackage depends on the NVIDIA binary driver and on all of its libraries,
 to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
 applications on either X11 or on Wayland.
 .
 See /usr/share/doc/nvidia-driver-418/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-kernel-source-418
Architecture: amd64
Multi-Arch: foreign
Conflicts:
 nvidia-kernel-source
Replaces:
 nvidia-kernel-source, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides:
 nvidia-kernel-source
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA kernel source package
 This package provides the NVIDIA kernel source needed by the userspace
 driver.

Package: nvidia-dkms-418
Architecture: amd64
Multi-Arch: foreign
Conflicts:
 nvidia-dkms-kernel
Breaks: nvidia-kernel-source-418 (<< 390.25-0ubuntu2~)
Replaces:
 nvidia-dkms-kernel, nvidia-kernel-source-418 (<< 390.25-0ubuntu2~), nvidia-384 (<< 390.25)
Provides:
 nvidia-dkms-kernel
Depends:
 dkms, nvidia-kernel-source-418, nvidia-kernel-common-418,
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA DKMS package
 This package builds the NVIDIA kernel module needed by the userspace
 driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel, and automatically rebuilt for
 any new kernel headers that are installed.

Package: nvidia-utils-418
Architecture: amd64
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Suggests:
 nvidia-driver-418,
Provides:
 nvidia-utils, nvidia-smi
Conflicts:
 nvidia-utils, nvidia-smi
Replaces:
 nvidia-utils, nvidia-smi
Description: NVIDIA driver support binaries
 This package contains supporting binaries for the NVIDIA driver.

Package: libnvidia-compute-418
Architecture: i386 amd64
Multi-Arch: same
Depends:
  ${misc:Depends}, ${shlibs:Depends}
Provides: nvidia-opencl-icd, opencl-icd, libcuda-5.0-1, libcuda-5.5-1,
 libcuda-6.0-1, libcuda-6.5-1, libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1,
 libcuda-9.0-1, libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda1 (= ${source:Version}),
 libnvidia-ml1 (= ${source:Version})
Conflicts: nvidia-opencl-icd, libcuda-5.0-1, libcuda-5.5-1,
 libcuda-6.0-1, libcuda-6.5-1, libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1,
 libcuda-9.0-1, libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1
Replaces: nvidia-opencl-icd, libcuda-5.0-1, libcuda-5.5-1,
 libcuda-6.0-1, libcuda-6.5-1, libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1,
 libcuda-9.0-1, libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libnvidia-compute-418 (<< 390.25-0ubuntu2~)
Description: NVIDIA libcompute package
 This package provides a set of libraries which enable the NVIDIA driver
 to use GPUs for parallel general purpose computation through CUDA and
 OpenCL.

Package: nvidia-compute-utils-418
Architecture: amd64
Depends:
 libnvidia-compute-418, adduser,
 ${misc:Depends}, ${shlibs:Depends}
Provides: nvidia-persistenced
Conflicts: nvidia-persistenced
Replaces: nvidia-persistenced
Description: NVIDIA compute utilities
 This package provides utility binaries for paraller general purpose
 computing use cases with the NVIDIA driver.
 .
 CUDA MPS is a feature that allows multiple CUDA processes to share a single
 GPU context. CUDA MPS should be transparent to CUDA programs.
 .
 CUDA MPS requires a device that supports Unified Virtual Address (UVA) and
 has compute capability SM 3.5 or higher.
 Pre-CUDA 4.0 APIs are not supported under CUDA MPS.

Package: nvidia-headless-no-dkms-418
Architecture: amd64
Conflicts: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides: nvidia-384
Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Depends:
 nvidia-kernel-source-418 (= ${binary:Version}),
 libnvidia-compute-418 (= ${binary:Version}),
 nvidia-compute-utils-418 (= ${binary:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA headless metapackage - no DKMS
 This metapackage installs the NVIDIA driver and the libraries that enable
 parallel general purpose computation through CUDA and
 OpenCL. DKMS will not be installed, and, therefore, the kernel module
 will not be built.
 .
 Install this package if you do not need X11 or Wayland support, which is
 provided by the nvidia-driver-418 metapackage.

Package: nvidia-headless-418
Architecture: amd64
Depends:
 nvidia-headless-no-dkms-418,
 nvidia-dkms-418,
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA headless metapackage
 This metapackage installs the NVIDIA driver and the libraries that enable
 parallel general purpose computation through CUDA and
 OpenCL.
 .
 Install this package if you do not need X11 or Wayland support, which is
 provided by the nvidia-driver-418 metapackage.

Package: nvidia-kernel-common-418
Architecture: amd64
Conflicts: nvidia-kernel-common
Provides: nvidia-kernel-common
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Replaces:
 nvidia-dkms-418 (<< 390.48-0ubuntu3~), nvidia-kernel-common
Description: Shared files used with the kernel module
 This package installs all the optional accessory files for the NVIDIA
 kernel module.
 .
 Install this package if you want to blacklist any conflicting kernel
 modules, and if you want udev to load the the NVIDIA kernel modules,
 and to create the uvm devices automatically.

Package: libnvidia-gl-418
Architecture: i386 amd64
Multi-Arch: same
Conflicts: libnvidia-gl
Replaces: libnvidia-gl, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides: libnvidia-gl, libglx-vendor, libegl-vendor
Depends:
 libnvidia-common-418, ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
 This package provides the NVIDIA OpenGL/GLX/EGL/GLES libraries and the
 Vulkan ICD.

Package: libnvidia-common-418
Architecture: all
Multi-Arch: foreign
Breaks: libnvidia-gl-418 (<< 390.25-0ubuntu2~)
Replaces: libnvidia-common, libnvidia-gl-418 (<< 390.25-0ubuntu2~)
Provides: libnvidia-common
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: Shared files used by the NVIDIA libraries
 This package provides a set of files that are required by the NVIDIA
 libraries.

Package: xserver-xorg-video-nvidia-418
Section: non-free/x11
Architecture: amd64
Depends:
 libnvidia-cfg1-418 (= ${binary:Version}),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 xorg-driver-binary, nvidia-driver-binary,
 ${nvidia:xorgProvides}
Description: NVIDIA binary Xorg driver
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See /usr/share/doc/nvidia-driver-418/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: libnvidia-cfg1-418
Architecture: amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-cfg1-any,
Conflicts:
 libnvidia-cfg1-any,
Replaces:
 libnvidia-cfg1-any,
Description: NVIDIA binary OpenGL/GLX configuration library
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: libnvidia-ifr1-418
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libnvidia-gl-418, libx11-6,
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-ifr1,
Conflicts:
 libnvidia-ifr1,
Replaces:
 libnvidia-ifr1,
Description: NVIDIA OpenGL-based Inband Frame Readback runtime library
 The NVIDIA OpenGL-based Inband Frame Readback (NvIFROpenGL) library provides
 a high performance, low latency interface to capture and optionally encode an
 OpenGL framebuffer. NvIFROpenGL is a private API that is only available to
 approved partners for use in remote graphics scenarios.
 .
 This package contains the NvIFROpenGL runtime library.

Package: libnvidia-fbc1-418
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
# ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-fbc1,
Conflicts:
 libnvidia-fbc1,
Replaces:
 libnvidia-fbc1,
Description: NVIDIA OpenGL-based Framebuffer Capture runtime library
 The NVIDIA OpenGL-based Framebuffer Capture (NvFBCOpenGL) library provides
 a high performance, low latency interface to capture and optionally encode an
 OpenGL framebuffer. NvFBCOpenGL is a private API that is only available to
 approved partners for use in remote graphics scenarios.
 .
 This package contains the NvFBCOpenGL runtime library.

Package: libnvidia-decode-418
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libnvidia-compute-418 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 libnvidia-decode,
Replaces:
 libnvidia-decode,
Provides:
 libnvidia-decode,
Description: NVIDIA Video Decoding runtime libraries
 This package includes the NVIDIA CUDA Video Decoder (NVCUVID) library which
 provides an interface to hardware video decoding capabilities on NVIDIA GPUs with CUDA.
 .
 The package also provides a VDPAU (Video Decode and Presentation API for Unix-like
 systems) library for the NVIDIA vendor implementation.

Package: libnvidia-encode-418
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 libnvidia-encode,
Provides:
 libnvidia-encode
Replaces:
 libnvidia-encode
Description: NVENC Video Encoding runtime library
 The NVENC Video Encoding library provides an interface to video encoder
 hardware on supported NVIDIA GPUs.
 .
 This package contains the nvidia-encode runtime library.

Package: nvidia-driver-410
Architecture: amd64
Depends: nvidia-driver-418
Description: Transitional package for nvidia-driver-418
 This is a transitional package for nvidia-driver-418, and can be
 safely removed after the installation is complete.

Package: nvidia-kernel-source-410
Architecture: amd64
Depends: nvidia-kernel-source-418
Description: Transitional package for nvidia-kernel-source-418
