## nvidia-graphics-drivers-418 418.74

=== debian/changelog ===
nvidia-graphics-drivers-418 (418.74-0ubuntu0~16.04.1somerville2) xenial; urgency=medium

  * Add package nvidia-390: Transitional package for nvidia-418.

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Fri, 24 May 2019 16:45:39 +0800

nvidia-graphics-drivers-418 (418.74-0ubuntu0~16.04.1) xenial; urgency=medium

  * Initial release.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 15 May 2019 11:42:19 +0200
