=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2009 Canonical Ltd
# Authors: Alberto Milone
#
# This file on the Mandriva nvidia packages, on Ubuntu's previous
# nvidia packaging scripts and on Ubuntu's fglrx scripts.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# If the host is i386 set OTHER_ARCH to x86_64 and vice versa
OTHER_ARCH := $(shell (echo "$(DEB_HOST_MULTIARCH)" | grep i386 >/dev/null) && \
		echo "$(DEB_HOST_MULTIARCH)" | sed s/i386/x86_64/ || \
		echo "$(DEB_HOST_MULTIARCH)" | sed s/x86_64/i386/)

# Hack for pbuild
PATH := $(PATH):/usr/sbin

# Package names
PKG_flavour          := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p' | sed 's/nvidia\-graphics\-drivers\-//g')
PKG_driver           := nvidia-$(PKG_flavour)
PKG_driver_dev       := $(PKG_driver)-dev
PKG_driver_uvm       := $(PKG_driver)-uvm
PKG_version          := $(shell dpkg-parsechangelog | awk -F' ' '/^Version:/ {print $$2}' | awk -F- '{print $$1}')
PKG_version          := $(shell echo $(PKG_version) | sed s/.*\.really\.//g)
PKG_source           := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
PKG_module           := $(shell echo "$(PKG_driver)" | sed s/\-/_/g)
PKG_libcuda1         := libcuda1-$(PKG_flavour)
PKG_libopencl1       := nvidia-libopencl1-$(PKG_flavour)
PKG_opencl_icd       := nvidia-opencl-icd-$(PKG_flavour)


# Priority of the alternative
alt_priority         := 8604
pm_alt_priority      := 8603

# Installer details
dirname_x86_64       ?= NVIDIA-Linux-x86_64-$(PKG_version)
dirname_x86          ?= $(dirname_x86_64)/32
dirname_armhf        ?= NVIDIA-Linux-armv7l-gnueabihf-$(PKG_version)
filename_x86         := $(dirname_x86).run
filename_x86_64      := $(dirname_x86_64).run
filename_armhf       := $(dirname_armhf).run
url_x86              := http://us.download.nvidia.com/XFree86/Linux-x86/$(PKG_version)/$(filename_x86)
url_x86_64           := http://us.download.nvidia.com/XFree86/Linux-x86_64/$(PKG_version)/$(filename_x86_64)
url_armhf            := http://us.download.nvidia.com/XFree86/Linux-x86-ARM/$(PKG_version)/$(filename_armhf)

ifeq ($(DEB_HOST_ARCH),amd64)
filename             := amd64/$(filename_x86_64)
dirname              := $(dirname_x86_64)
url                  := $(url_x86_64)
web_arch             := amd64
else
ifeq ($(DEB_HOST_ARCH),armhf)
filename             := armhf/$(filename_armhf)
dirname              := $(dirname_armhf)
url                  := $(url_armhf)
web_arch             := 32bit-arm
arm_excluded         := \#
else
filename             := i386/$(filename_x86)
dirname              := $(dirname_x86)
url                  := $(url_x86)
web_arch             := ia32
endif
endif

release_notes        := http://www.nvidia.com/object/linux-display-$(web_arch)-$(PKG_version)-driver.html

bindir               := /usr/bin
datadir              := /usr/share
nvidia_share         := /usr/share/nvidia
PKG_datadir          := $(datadir)/$(PKG_driver)
libdir               := /usr/lib
libdir32             := /usr/lib32
libdir_multiarch     := $(libdir)/$(DEB_HOST_MULTIARCH)
libdir_multiarch_other := $(libdir)/$(OTHER_ARCH)
includedir           := /usr/include
sysconfdir           := /etc
PKG_libdir           := $(libdir)/$(PKG_driver)
PKG_libdir32         := $(libdir32)/$(PKG_driver)
mesa_libdir          := $(libdir)/$(DEB_HOST_MULTIARCH)/mesa
mesa_egl_libdir      := $(libdir)/$(DEB_HOST_MULTIARCH)/mesa-egl
mesa_libdir_other    := $(libdir)/$(OTHER_ARCH)/mesa
mesa_egl_libdir_other := $(libdir)/$(OTHER_ARCH)/mesa-egl
xorg_libdir          := $(libdir)/xorg
xorg_extra_path      := $(libdir)/$(DEB_HOST_MULTIARCH)/xorg
xorg_extra_modules   := $(xorg_extra_path)/extra-modules
xorg_extensionsdir   := $(xorg_libdir)/modules/extensions
PKG_driversdir       := $(libdir)/$(PKG_driver)/xorg
PKG_extensionsdir    := $(PKG_driversdir)
PKG_bindir           := $(PKG_libdir)/bin
PKG_configdir        := $(PKG_libdir)
ld_so_conf_dir       := $(PKG_configdir)
ld_so_conf_file      := ld.so.conf
alt_ld_so_conf_file  := alt_ld.so.conf
ld_so_conf_path      := $(ld_so_conf_dir)/$(ld_so_conf_file)
alt_ld_so_conf_path  := $(ld_so_conf_dir)/$(alt_ld_so_conf_file)

#Prime
PKG_prime            := $(PKG_driver)-prime
PKG_prime_libdir     := $(libdir)/$(PKG_prime)
pm_ld_so_conf_path      := $(PKG_prime_libdir)/$(ld_so_conf_file)
pm_alt_ld_so_conf_path  := $(PKG_prime_libdir)/$(alt_ld_so_conf_file)

mandir               := /usr/share/man/man1
PKG_bugdir           := /usr/share/bug/$(PKG_driver)
PKG_vdpaudir         := $(PKG_libdir)/vdpau
PKG_tlsdir           := $(PKG_libdir)/tls
PKG_vdpaudir32       := $(PKG_libdir32)/vdpau
PKG_tlsdir32         := $(PKG_libdir32)/tls
vdpaudir             := $(libdir)/vdpau
tlsdir               := $(libdir)/tls
vdpaudir32           := $(libdir32)/vdpau
tlsdir32             := $(libdir32)/tls
grub_blacklistdir    := /usr/share/grub-gfxpayload-lists/blacklist

ifeq ($(DEB_HOST_ARCH),amd64)
DKMS_disabled_modules :=
else
DKMS_disabled_modules := nvidia-uvm
endif

# This is a hack to make sure that
# the blacklist file is available
# early in the boot process when
# /usr is on a separate partition.
# See LP: #538071.
PKG_libconfdir := /lib/$(PKG_driver)

# blacklist either the -updates or the non updates flavour
opposite_flavour := $(shell (echo "$(PKG_driver)" | grep updates >/dev/null) && \
        echo "$(PKG_driver)" | sed s/-updates// || \
        echo "$(PKG_driver)-updates")

#These "define" bits are needed for the blacklist file
define newline


endef

define blacklist_file
# This file was installed by $(PKG_driver)
# Do not edit this file manually

blacklist nouveau
blacklist lbm-nouveau
blacklist nvidia-current
blacklist nvidia-173
blacklist nvidia-96
blacklist nvidia-current-updates
blacklist nvidia-173-updates
blacklist nvidia-96-updates
blacklist $(opposite_flavour)
alias nvidia $(PKG_module)
alias nvidia-uvm $(PKG_module)_uvm
alias nvidia-modeset $(PKG_module)_modeset
alias nvidia-drm $(PKG_module)_drm
alias nouveau off
alias lbm-nouveau off

options $(PKG_module)_drm modeset=0

endef

define blacklist_hybrid
# This file was installed by $(PKG_driver)
# Do not edit this file manually

blacklist nouveau
blacklist lbm-nouveau
alias nouveau off
alias lbm-nouveau off
endef

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -Xtls -Xconf -X$(PKG_libdir32) -X$(libdir_multiarch_other) \
	-l$(CURDIR)/debian/$(PKG_driver)$(PKG_libdir)/:$(CURDIR)/debian/$(PKG_driver_dev)$(PKG_libdir)/:$(libdir)/

.PHONY: get-orig-source
get-orig-source:
	# Remove any previous installers
	rm -f NVIDIA-Linux-*.run
	# Downloads the installers from NVIDIA's website
	wget $(url_x86) $(url_x86_64) $(url_armhf)

.PHONY: gen-abi-substvars
gen-abi-substvars:
	# Generate the xserver ABI dependencies
	cat debian/substvars >> debian/$(PKG_driver).substvars

.PHONY: regen-from-templates
regen-from-templates:
	# Get rid of files belonging to different flavours
	for i in debian/templates/*.in; do \
		old=`echo $$i | sed -e "s|templates\/||g" | \
				sed -e "s|\.in\$$||g" | \
				sed -e "s|nvidia-graphics-drivers|nvidia-*|g" | \
				sed -e "s|flavour|*|g"`; \
		rm -f $$old; done
	# Create important strings
	for i in debian/templates/*.in; do \
		dest=`echo $$i | sed -e "s|templates\/||g" | \
				 sed -e "s|\.in\$$||g" | \
				 sed -e "s|nvidia-graphics-drivers|$(PKG_driver)|g" | \
				 sed -e "s|flavour|$(PKG_flavour)|g"`; \
		sed -e "s|#LIBDIR#|$(libdir)|g"         \
			-e "s|#LIBDIR32#|$(libdir32)|g"     \
			-e "s|#LIBDIRMULTIARCH#|$(libdir_multiarch)|g" \
			-e "s|#LIBDIRMULTIARCHOTHER#|$(libdir_multiarch_other)|g" \
			-e "s|#BINDIR#|$(bindir)|g"         \
			-e "s|#VERSION#|$(PKG_version)|g"   \
			-e "s|#SYSCONFDIR#|$(sysconfdir)|g" \
			-e "s|#MANDIR#|$(mandir)|g" \
			-e "s|#LDSOCONF#|$(ld_so_conf_path)|g" \
			-e "s|#ALTLDSOCONF#|$(alt_ld_so_conf_path)|g" \
			-e "s|#PMLDSOCONF#|$(pm_ld_so_conf_path)|g" \
			-e "s|#PMALTLDSOCONF#|$(pm_alt_ld_so_conf_path)|g" \
